package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.dto.*;
import com.ruoyi.ibs.grid.domain.excel.RegionSecGridExcelDTO;
import com.ruoyi.ibs.grid.domain.excel.RegionTopGridExcelDTO;
import com.ruoyi.ibs.grid.domain.vo.RegionGridVO;

/**
 * @Author 吴凯程
 * @Date 2024/9/18
 **/
public interface RegionGridService {


    String createTopRegionGrid(TopRegionGridDTO topRegionGridDTO);

    String createSecRegionGrid(SecRegionGridDTO secRegionGridDTO);

    String updateTopRegionGrid(TopGridUpdateDTO topGridUpdateDTO);

    String updateSecRegionGrid(SecGridUpdateDTO secGridUpdateDTO);

    RegionGridVO getRegionGridDetail(Long gridId);

    String deleteRegionGrid(DeleteDTO deleteDTO);

    String createTopRegionGridByTemplate(RegionTopGridExcelDTO regionTopGridExcelDTO);

    String createSecRegionGridByTemplate(RegionSecGridExcelDTO regionSecGridExcelDTO);

}
